<?php

function akses($role = 'semua') {
    $ci =& get_instance();
    $sesi = $ci -> session -> mart_level;

    switch ($role) {
        case 'owner':
            if($sesi != 'owner') {
                redirect('error_404');
                exit;
            }
        break;

        case 'admin':
            if($sesi == 'kasir') {
                redirect('error_404');
                exit;
            }
        break;      
        
        case 'kasir':
            if($sesi == 'admin') {
                redirect('error_404');
                exit;
            }
        break;    
    }
}

function form_uang($angka, $format = true) {
    if($format) {
        return number_format($angka, 0, ',', '.');
        return $angka;

    } else {
        return preg_replace("/[Rp.]+/", "", $angka);
    }
}

function tgl($str) {
    $en = [
        'Sunday', 'Monday', 'Thursday', 'Wednesday', 'Tuesday', 'Friday', 'Saturday',
        'Sun', 'Mon', 'Thu', 'Wed', 'Tue', 'Fri', 'Sat',
        'January', 'February', 'March', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December',
        'Jan', 'Feb', 'Mar', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec',
    ];
    
    $id = [
        'Minggu', 'Senin', 'Selasa', 'Rabu', 'Kamis', 'Jum\'at', 'Sabtu',
        'Min', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab',
        'Januari', 'Februari', 'Maret', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember',
        'Jan', 'Feb', 'Mar', 'Mei', 'Jun', 'Jul', 'Agu', 'Sep', 'Okt', 'Nov', 'Des',
    ];
     
    return str_replace($en, $id, $str);
}

function cek_login() {
    $ci =& get_instance();
    $sesi = $ci -> session -> userdata('mart_id');

    if(!$sesi) {
        redirect('login');
    }
}

// Helper App
// Kode ini dibuat dan dikembangkan oleh codelingker